ros-rolling-rosidl-parser (4.9.4-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 18 Apr 2025 05:00:00 -0000

ros-rolling-rosidl-parser (4.9.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 20 Dec 2024 06:00:00 -0000

ros-rolling-rosidl-parser (4.9.2-1noble) noble; urgency=high

  * Finish adding types to rosidl_parser (#832 <https://github.com/ros2/rosidl/issues/832>)
  * Contributors: Michael Carlstrom

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Nov 2024 06:00:00 -0000

ros-rolling-rosidl-parser (4.9.1-1noble) noble; urgency=high

  * Add types to definition.py in rosidl_parser (#791 <https://github.com/ros2/rosidl/issues/791>)
  * Contributors: Michael Carlstrom

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 20 Nov 2024 06:00:00 -0000

ros-rolling-rosidl-parser (4.9.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 03 Oct 2024 05:00:00 -0000

ros-rolling-rosidl-parser (4.8.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 25 Jun 2024 05:00:00 -0000

ros-rolling-rosidl-parser (4.8.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 17 Jun 2024 05:00:00 -0000

ros-rolling-rosidl-parser (4.7.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 26 Apr 2024 05:00:00 -0000

ros-rolling-rosidl-parser (4.6.0-1noble) noble; urgency=high

  * Adding interfaces to support @key annotation (#796 <https://github.com/ros2/rosidl/issues/796>)
    Co-authored-by: Mario Dominguez <mailto:mariodominguez@eprosima.com>
  * Contributors: Miguel Company

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 16 Apr 2024 05:00:00 -0000

ros-rolling-rosidl-parser (4.5.2-1noble) noble; urgency=high

  * Small fix for newer flake8 compatibility. (#792 <https://github.com/ros2/rosidl/issues/792>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 27 Mar 2024 05:00:00 -0000

ros-rolling-rosidl-parser (4.5.1-1noble) noble; urgency=high

  * Remove unnecessary parentheses. (#783 <https://github.com/ros2/rosidl/issues/783>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 07 Feb 2024 06:00:00 -0000

ros-rolling-rosidl-parser (4.5.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 26 Dec 2023 06:00:00 -0000

ros-rolling-rosidl-parser (4.4.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 06 Nov 2023 06:00:00 -0000

ros-rolling-rosidl-parser (4.4.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 04 Oct 2023 05:00:00 -0000

ros-rolling-rosidl-parser (4.4.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Sep 2023 05:00:00 -0000

ros-rolling-rosidl-parser (4.3.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 21 Aug 2023 05:00:00 -0000

ros-rolling-rosidl-parser (4.3.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Jul 2023 05:00:00 -0000

ros-rolling-rosidl-parser (4.2.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 07 Jun 2023 05:00:00 -0000

ros-rolling-rosidl-parser (4.1.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 11 May 2023 05:00:00 -0000

ros-rolling-rosidl-parser (4.1.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 28 Apr 2023 05:00:00 -0000

ros-rolling-rosidl-parser (4.0.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Apr 2023 05:00:00 -0000

ros-rolling-rosidl-parser (3.4.0-1noble) noble; urgency=high

  * [service introspection] generate service_event messages (#700 <https://github.com/ros2/rosidl/issues/700>)
  * [rolling] Update maintainers - 2022-11-07 (#717 <https://github.com/ros2/rosidl/issues/717>)
  * Contributors: Audrow Nash, Brian

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 13 Feb 2023 06:00:00 -0000

ros-rolling-rosidl-parser (3.3.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 02 Nov 2022 05:00:00 -0000

ros-rolling-rosidl-parser (3.3.0-1noble) noble; urgency=high

  * Always include whitespace in string literals (#688 <https://github.com/ros2/rosidl/issues/688>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 08 Sep 2022 05:00:00 -0000

ros-rolling-rosidl-parser (3.2.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 21 Jun 2022 05:00:00 -0000

ros-rolling-rosidl-parser (3.2.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 04 May 2022 05:00:00 -0000

ros-rolling-rosidl-parser (3.1.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Apr 2022 05:00:00 -0000

ros-rolling-rosidl-parser (3.1.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 05 Apr 2022 05:00:00 -0000

ros-rolling-rosidl-parser (3.1.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Mar 2022 05:00:00 -0000

ros-rolling-rosidl-parser (3.1.0-1noble) noble; urgency=high

  * Set maybe_placeholders to False for lark 1.+ compatibility (#664 <https://github.com/ros2/rosidl/issues/664>)
  * Generate documentation in generated C header files based on ROS interfaces comments (#593 <https://github.com/ros2/rosidl/issues/593>)
  * Contributors: Ivan Santiago Paunovic, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Mar 2022 06:00:00 -0000

ros-rolling-rosidl-parser (3.0.1-1noble) noble; urgency=high

  * Pass comments in ros interface constants to the .idl generated files (#630 <https://github.com/ros2/rosidl/issues/630>)
  * Contributors: Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Jan 2022 06:00:00 -0000

ros-rolling-rosidl-parser (3.0.0-1noble) noble; urgency=high

  * Update package maintainers (#624 <https://github.com/ros2/rosidl/issues/624>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 05 Nov 2021 05:00:00 -0000

ros-rolling-rosidl-parser (2.5.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 10 Aug 2021 05:00:00 -0000

ros-rolling-rosidl-parser (2.4.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 12 Jul 2021 05:00:00 -0000

ros-rolling-rosidl-parser (2.3.0-1noble) noble; urgency=high

  * Fix escaping in string literals (#595 <https://github.com/ros2/rosidl/issues/595>)
  * Contributors: Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 11 Jun 2021 05:00:00 -0000

ros-rolling-rosidl-parser (2.2.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Apr 2021 05:00:00 -0000

ros-rolling-rosidl-parser (2.2.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 18 Mar 2021 05:00:00 -0000

ros-rolling-rosidl-parser (2.1.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 09 Mar 2021 06:00:00 -0000

ros-rolling-rosidl-parser (2.0.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Jan 2021 06:00:00 -0000

ros-rolling-rosidl-parser (2.0.2-1noble) noble; urgency=high

  * Update and add package.xml descriptions to README (#553 <https://github.com/ros2/rosidl/issues/553>)
  * Finish support for fixed-point literals.
  * Fix parsing of small floats.
  * Update the maintainers of this repository. (#536 <https://github.com/ros2/rosidl/issues/536>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 08 Dec 2020 06:00:00 -0000

ros-rolling-rosidl-parser (2.0.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Sep 2020 05:00:00 -0000

ros-rolling-rosidl-parser (2.0.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 24 Sep 2020 05:00:00 -0000

ros-rolling-rosidl-parser (1.1.0-1noble) noble; urgency=high

  * Allow zero length string constants (#507 <https://github.com/ros2/rosidl/issues/507>)
  * Add pytest.ini so tests succeed locally (#502 <https://github.com/ros2/rosidl/issues/502>)
  * Contributors: Chris Lalancette, Dirk Thomas

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 17 Aug 2020 05:00:00 -0000

ros-rolling-rosidl-parser (1.0.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 03 Jun 2020 05:00:00 -0000

ros-rolling-rosidl-parser (1.0.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 22 May 2020 05:00:00 -0000

ros-rolling-rosidl-parser (0.9.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 19 May 2020 05:00:00 -0000

ros-rolling-rosidl-parser (0.9.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 May 2020 05:00:00 -0000

ros-rolling-rosidl-parser (0.9.0-1noble) noble; urgency=high

  * Use f-string (#436 <https://github.com/ros2/rosidl/issues/436>)
  * Contributors: Dirk Thomas

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 24 Apr 2020 05:00:00 -0000

ros-rolling-rosidl-parser (0.8.2-1noble) noble; urgency=high

  * Allow 'get_const_expr_value' to parse either literals or scoped_names… (#430 <https://github.com/ros2/rosidl/issues/430>)
  * Use imperative mood in constructor docstring. (#425 <https://github.com/ros2/rosidl/issues/425>)
  * Contributors: Steven! Ragnarök, kylemarcey

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 17 Jan 2020 06:00:00 -0000

ros-rolling-rosidl-parser (0.8.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-rolling-rosidl-parser (0.8.0-1noble) noble; urgency=high

  * support adjacent string literals, use them for multi-line comments (#410 <https://github.com/ros2/rosidl/issues/410>)
  * fix parsing empty string literal (#409 <https://github.com/ros2/rosidl/issues/409>)
  * add constant for member name in empty structs (#389 <https://github.com/ros2/rosidl/issues/389>)
  * Contributors: Dirk Thomas

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 24 Sep 2019 05:00:00 -0000


